Content Analysis
A content analysis job represents an AI-generated automated analysis of call recordings or transcripts. Running a content analysis job extracts key information from a recording or transcript into structured JSON payloads that can be used to drive downstream automation or systems integration.
Get a content analysis
Get a content analysis resource by ID.
path Parameters
idThe content analysis ID
Headers
AuthorizationAuthorization header bearing the access token
Get a content analysis › Responses
Content analysis
idThe ID of the analysis
The payload containing the content and related information required to be processed and analyzed.
statusThe analysis status. One of:
queued: The request has been received and queued.transcribing: The recordings provided in the request are being transcribed.analyzing: The content is being analyzed.succeeded: Analysis succeeded and the artifacts are available.failed: Analysis failed. Check the error details for more information.
The analyzer used when analyzing the content. Only populated when the analysis has started.
The list of artifacts created from the analysis process
Details of the analysis failure. Only provided when the analysis failed.
transcriptThe transcript content that was analyzed
The source of the value on this field depends whether recordings or transcripts are provided in the request:
- If
recordingsare provided, this is the combined transcript created from the recordings. - If
transcriptsare provided, this is the combined transcript from the request.
Delete a content analysis
Delete a content analysis by ID. This will abort the content analysis and delete its associated data.
path Parameters
idThe content analysis ID
Headers
AuthorizationAuthorization header bearing the access token
Delete a content analysis › Responses
Successfully deleted the content analysis
List content analysis data
Lists your content analysis data. Only content analysis data with status succeeded are included.
You can restrict the result set using any of the following parameters:
since(unix timestamp in milliseconds): Only return content analysis data where the first recording or transcript started on or after the given timestamp.before(unix timestamp in milliseconds): Only return content analysis data where the first recording or transcript started on or before the given timestamp.sourceId: Only return content analysis data for a specific source (e.g., a Spoke call ID).participantId: Only return content analysis data where a specific participant ID is present.contactNumber: Only return content analysis data where a specific contact participant phone number is present.artifact: Only return content analysis data that contain a specific artifact schema name.
These parameters may be used in combination.
This endpoint supports paging. By default the API will return 5 content analysis items, configurable up to a maximum of 10 at a time. If the result from a previous call includes a next value in the result set you can use the value returned as the next parameter in the query string to retrieve the next page of results.
Results are sorted by the first recording or transcript's started timestamp in descending order (newest first).
query Parameters
nextOptional next token for object pagination
limitThe number of objects fetched per request. Default to 5, maximum is 10
sinceGet all content analysis data where the first recording or transcript started after this time (UNIX timestamp)
beforeGet all content analysis data where the first recording or transcript started before this time (UNIX timestamp)
sourceIdGet all content analysis data where the source id from the request matches this parameter
participantIdGet all content analysis data which contains a participant in the request with this id
contactNumberGet all content analysis data which contains a participant in the request with this numberE164. This parameter is ignored if the participantId parameter is provided
artifactGet all content analysis data which contains an artifact of the given schema name, e.g. "generalSummary"
Headers
AuthorizationAuthorization header bearing the access token
List content analysis data › Responses
List of content analysis data
The content analyses matching the filters provided as query params
Create a new content analysis
Submit a new request to analyze the provided content.
Note: Usage of this API requires an entitlement to be enabled on your Spoke Account. Contact your Spoke Account Manager for more information.
Headers
AuthorizationAuthorization header bearing the access token
Create a new content analysis › Request Body optional
Decision Table
| Variant | Matching Criteria |
|---|---|
| type = object · requires: content, participants, source | |
| type = object · requires: content, participants, source |
The content for a call source. Either recordings or transcripts must be provided.
The list of participants in the call
The source when the content being analyzed originates from a call.
The analyzer to be used when analyzing the content.
If provided and valid, this will be used instead of the default analyzer for the given source type.
passthroughParametersPassthrough parameters to include with the content analysis results. Use passthrough parameters to initiate and trace the analysis from other systems.
Passthrough parameters can only be specified when the content analysis is created.
Create a new content analysis › Responses
The queued content analysis
idThe ID of the analysis
The payload containing the content and related information required to be processed and analyzed.
statusThe request is received and queued.
The analyzer used when analyzing the content. Only populated when the analysis has started.
The list of artifacts created from the analysis process
Details of the analysis failure. Only provided when the analysis failed.
transcriptThe transcript content that was analyzed
The source of the value on this field depends whether recordings or transcripts are provided in the request:
- If
recordingsare provided, this is the combined transcript created from the recordings. - If
transcriptsare provided, this is the combined transcript from the request.